function nLV = DynamicsWM_NetworkBFLogLV_DI(Nr,rpLV,rint_LogLV,CSD,ExtTh,Nd,dtau,taurng,r0_est,Ki_est,d_est)

Nc = length(rpLV);
Nt = sum(Nd);
tcLV = zeros(1,Nr*Nt);
XLVc = zeros(Nc,Nr*Nt);
cct = 0;
for rnd = 1:Nr,
    XLV = CSD*rpLV'; % initial number of each cell type
    
    XLVlm = zeros(Nc,Nt);
    ctLV = 0;
    while (ctLV<Nd(rnd)),
        ctLV = ctLV+1;

        rLVz = (r0_est + rint_LogLV*XLV)*(1 - sum(XLV./Ki_est));
        XLV = XLV + dtau*((rLVz-d_est).*XLV);
        XLV(XLV<ExtTh) = 0;
        XLVlm(:,ctLV) = XLV;
    end
    rpLV = 1/sum(XLVlm(:,ctLV))*XLVlm(:,ctLV)';

    if cct ==0,
        tcLV(cct+1:cct+ctLV) = taurng(1:ctLV);
    else
        tcLV(cct+1:cct+ctLV) = tcLV(cct) + taurng(1:ctLV);
    end
    XLVc(:,cct+1:cct+ctLV) = XLVlm(:,1:ctLV);
    cct = cct+ctLV;

end
nLV = XLVc(1:Nc,1:cct);

return